Index: branch/BA/sp4c12/sp4c1/sp4c1.ARF
===================================================================
--- branch/BA/sp4c12/sp4c1/sp4c1.ARF	(nonexistent)
+++ branch/BA/sp4c12/sp4c1/sp4c1.ARF	(revision 900)
@@ -0,0 +1,5 @@
+D:\tp_sp4_Farid_BA_2021\branch\BA\sp4c12\sp4c1\sp4c1.hws
+D:\tp_sp4_Farid_BA_2021\branch\BA\sp4c12\sp4c1\sp4c1\sp4c1.hwp
+D:\tp_sp4_Farid_BA_2021\branch\BA\sp4c12\sp4c1\sp4c1\DefaultSession.hsf
+D:\tp_sp4_Farid_BA_2021\branch\BA\sp4c12\sp4c1\sp4c1\SessionM32C_E8a_SYSTEM.hsf
+D:\tp_sp4_Farid_BA_2021\branch\BA\sp4c12\sp4c1\sp4c1\SessionM32C_Simulator.hsf
Index: branch/BA/sp4c12/sp4c1/sp4c1/SessionM32C_Simulator.BKS
===================================================================
--- branch/BA/sp4c12/sp4c1/sp4c1/SessionM32C_Simulator.BKS	(nonexistent)
+++ branch/BA/sp4c12/sp4c1/sp4c1/SessionM32C_Simulator.BKS	(revision 900)
@@ -0,0 +1,72 @@
+[HIMDBVersion]
+2.0
+[DATABASE_VERSION]
+"2.3" 
+[SESSION_DETAILS]
+"" 
+[INFORMATION]
+"" 
+[GENERAL_DATA]
+"RESET_CPU_AFTER_DOWNLOAD_TAG" "VARIANT_TRUE_STORE_TAG" 
+[LANGUAGE]
+"English" 
+[CONFIG_INFO_VD1]
+0 
+[CONFIG_INFO_VD2]
+0 
+[CONFIG_INFO_VD3]
+0 
+[CONFIG_INFO_VD4]
+0 
+[WINDOW_POSITION_STATE_DATA_VD1]
+[WINDOW_POSITION_STATE_DATA_VD2]
+[WINDOW_POSITION_STATE_DATA_VD3]
+[WINDOW_POSITION_STATE_DATA_VD4]
+[WINDOW_Z_ORDER]
+[TARGET_NAME]
+"M32C Simulator" "" 0 
+[STATUSBAR_STATEINFO_VD1]
+"MasterShowState" 1 
+"ApplicationShowState" 1 
+"DebuggerShowState" 1 
+[STATUSBAR_STATEINFO_VD2]
+"MasterShowState" 1 
+"ApplicationShowState" 1 
+"DebuggerShowState" 1 
+[STATUSBAR_STATEINFO_VD3]
+"MasterShowState" 1 
+"ApplicationShowState" 1 
+"DebuggerShowState" 1 
+[STATUSBAR_STATEINFO_VD4]
+"MasterShowState" 1 
+"ApplicationShowState" 1 
+"DebuggerShowState" 1 
+[STATUSBAR_DEBUGGER_PANESTATE_VD1]
+[STATUSBAR_DEBUGGER_PANESTATE_VD2]
+[STATUSBAR_DEBUGGER_PANESTATE_VD3]
+[STATUSBAR_DEBUGGER_PANESTATE_VD4]
+[DEBUGGER_OPTIONS]
+"Unknown Options" 
+[DOWNLOAD_MODULES]
+"$(CONFIGDIR)\$(PROJECTNAME).x30" 0 "IEEE695_RENESAS" 0 0 1 0 
+[CONNECT_ON_GO]
+"FALSE" 
+[DOWNLOAD_MODULES_AFTER_BUILD]
+"TRUE" 
+[REMOVE_BREAKPOINTS_ON_DOWNLOAD]
+"TRUE" 
+[DISABLE_MEMORY_ACCESS_PRIOR_TO_COMMAND_FILE_EXECUTION]
+"FALSE" 
+[LIMIT_DISASSEMBLY_MEMORY_ACCESS]
+"FALSE" 
+[DISABLE_MEMORY_ACCESS_DURING_EXECUTION]
+"FALSE" 
+[DEBUGGER_OPTIONS_PROPERTIES]
+"1" 
+[COMMAND_FILES]
+[DEFAULT_DEBUG_FORMAT]
+"" 
+[FLASH_DETAILS]
+"" 0 0 "" 0 "" 0 0 "" 0 0 0 0 0 0 0 "" "" "" "" "" 
+[BREAKPOINTS]
+[END]
Index: branch/BA/sp4c12/sp4c1/sp4c1/Debug/sp4c1.sni
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: branch/BA/sp4c12/sp4c1/sp4c1/Debug/sp4c1.x30
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: branch/BA/sp4c12/sp4c1/sp4c1/Debug/sp4c1.map
===================================================================
--- branch/BA/sp4c12/sp4c1/sp4c1/Debug/sp4c1.map	(revision 899)
+++ branch/BA/sp4c12/sp4c1/sp4c1/Debug/sp4c1.map	(revision 900)
@@ -5,10 +5,10 @@
 
 # LINK FILE INFORMATION
 ncrt0 (D:\tp_sp4_Farid_BA_2021\branch\BA\sp4c12\sp4c1\sp4c1\Debug\ncrt0.r30)
-	Jun  7 12:01:56 2021
+	Jun  9 17:29:00 2021
 
 sp4c1 (D:\tp_sp4_Farid_BA_2021\branch\BA\sp4c12\sp4c1\sp4c1\Debug\sp4c1.r30)
-	Jun  7 12:01:56 2021
+	Jun  9 17:29:00 2021
 
 
 ##########################################
@@ -91,7 +91,7 @@
 interrupt                        REL CODE    FE0000 000000 2     ncrt0
                                  REL CODE    FE0000 0002E2       ncrt0
 program                          REL CODE    FE02E2 000000 2     ncrt0
-                                 REL CODE    FE02E2 0000FB 2     sp4c1
+                                 REL CODE    FE02E2 0001ED 2     sp4c1
 program_S                        ABS CODE    FF0000 000000       ncrt0
 vector                           ABS ROMDATA FFFD00 000100       ncrt0
 svector                          ABS ROMDATA FFFE00 000000       ncrt0
@@ -99,15 +99,16 @@
 # Total -------------------------------------------------------------------
                                      DATA          0000971(00002417) Byte(s)
                                      ROMDATA       0000124(00000292) Byte(s)
-                                     CODE          00003DD(00000989) Byte(s)
+                                     CODE          00004CF(00001231) Byte(s)
 
 ##########################################
 # (3) GLOBAL LABEL INFORMATION           #
 ##########################################
-$exit              fe02df  $tableau_trame     fe03a8  $uart0_tx          fe0386
-_exit              fe02df  _main              fe02e2  _tab_tram          000450
-_tram              000400  _uart0_init        fe0304  _uart0_rx          fe039e
-_val               000770  dummy_int          fe02e1  start              fe0000
+$exit              fe02df  $tableau_trame     fe049a  $uart0_tx          fe037e
+_exit              fe02df  _hex2int           fe03a0  _main              fe02e2
+_rectrame          fe0414  _tab_tram          000450  _tram              000400
+_uart0_init        fe02fc  _uart0_rx          fe0396  _val               000770
+dummy_int          fe02e1  start              fe0000  
 
 ##########################################
 # (4) GLOBAL EQU SYMBOL INFORMATION      #
@@ -285,7 +286,7 @@
 interrupt
                                   00fe0000  00fe02e1       2e2   2
 program
-                                  00fe02e2  00fe03dc        fb   2
+                                  00fe02e2  00fe04ce       1ed   2
 program_S
                                   00ff0000  00ff0000         0   1
 vector
@@ -333,15 +334,19 @@
 
 SECTION=program
 FILE=D:/tp_sp4_Farid_BA_2021/branch/BA/sp4c12/sp4c1/sp4c1/sp4c1
-                                  00fe02e2  00fe03dc        fb
+                                  00fe02e2  00fe04ce       1ed
   _main
-                                  00fe02e2        21   func ,g         0
+                                  00fe02e2        19   func ,g         0
   _uart0_init
-                                  00fe0304        82   func ,g         0
+                                  00fe02fc        82   func ,g         0
   $uart0_tx
-                                  00fe0386        18   func ,g         0
+                                  00fe037e        18   func ,g         0
   _uart0_rx
-                                  00fe039e         b   func ,g         0
+                                  00fe0396         a   func ,g         0
+  _hex2int
+                                  00fe03a0        75   func ,g         0
+  _rectrame
+                                  00fe0414        86   func ,g         0
   $tableau_trame
-                                  00fe03a8        35   func ,g         0
+                                  00fe049a        35   func ,g         0
 
Index: branch/BA/sp4c12/sp4c1/sp4c1/Debug/ncrt0.lst
===================================================================
--- branch/BA/sp4c12/sp4c1/sp4c1/Debug/ncrt0.lst	(revision 899)
+++ branch/BA/sp4c12/sp4c1/sp4c1/Debug/ncrt0.lst	(revision 900)
@@ -1,4 +1,4 @@
-* M32C SERIES ASSEMBLER *  SOURCE LIST     Mon Jun 07 12:01:56 2021  PAGE 001
+* M32C SERIES ASSEMBLER *  SOURCE LIST     Wed Jun 09 17:29:00 2021  PAGE 001
 
   SEQ.  LOC.    OBJ.                    0XMSDA  .*....*....SOURCE STATEMENT....8....*....9....*....0....*....1....*....2....*....3....*....4....*....5....*....6....*....7....*....8....*....9....*....0
 
@@ -64,7 +64,7 @@
     60                                          ;
     61                                          ;Format:
     62                                          ;	SPECIAL	number
-* M32C SERIES ASSEMBLER *  SOURCE LIST     Mon Jun 07 12:01:56 2021  PAGE 002
+* M32C SERIES ASSEMBLER *  SOURCE LIST     Wed Jun 09 17:29:00 2021  PAGE 002
 
   SEQ.  LOC.    OBJ.                    0XMSDA  .*....*....SOURCE STATEMENT....8....*....9....*....0....*....1....*....2....*....3....*....4....*....5....*....6....*....7....*....8....*....9....*....0
 
@@ -130,7 +130,7 @@
    122                                          ;	.call	_bcopy,G
    123                                          ;	jsr.a	_bcopy
    124                                          ;	.endm
-* M32C SERIES ASSEMBLER *  SOURCE LIST     Mon Jun 07 12:01:56 2021  PAGE 003
+* M32C SERIES ASSEMBLER *  SOURCE LIST     Wed Jun 09 17:29:00 2021  PAGE 003
 
   SEQ.  LOC.    OBJ.                    0XMSDA  .*....*....SOURCE STATEMENT....8....*....9....*....0....*....1....*....2....*....3....*....4....*....5....*....6....*....7....*....8....*....9....*....0
 
@@ -196,7 +196,7 @@
    184  00005F  02                        M Z   	mov.b	#00H, R0L
    185  000060  B0F100000000r             M     	mov.l	#bss_MON1_SE_top, A1
    186  000066  996F0000r                 M     	mov.w	#sizeof bss_MON1_SE , R3
-* M32C SERIES ASSEMBLER *  SOURCE LIST     Mon Jun 07 12:01:56 2021  PAGE 004
+* M32C SERIES ASSEMBLER *  SOURCE LIST     Wed Jun 09 17:29:00 2021  PAGE 004
 
   SEQ.  LOC.    OBJ.                    0XMSDA  .*....*....SOURCE STATEMENT....8....*....9....*....0....*....1....*....2....*....3....*....4....*....5....*....6....*....7....*....8....*....9....*....0
 
@@ -262,7 +262,7 @@
    246  0000E1  02                        M Z   	mov.b	#00H, R0L
    247  0000E2  B0F100000000r             M     	mov.l	#bss_MON3_E_top, A1
    248  0000E8  996F0000r                 M     	mov.w	#sizeof bss_MON3_E , R3
-* M32C SERIES ASSEMBLER *  SOURCE LIST     Mon Jun 07 12:01:56 2021  PAGE 005
+* M32C SERIES ASSEMBLER *  SOURCE LIST     Wed Jun 09 17:29:00 2021  PAGE 005
 
   SEQ.  LOC.    OBJ.                    0XMSDA  .*....*....SOURCE STATEMENT....8....*....9....*....0....*....1....*....2....*....3....*....4....*....5....*....6....*....7....*....8....*....9....*....0
 
@@ -328,7 +328,7 @@
    308  000169  B0F100000000r             M     	mov.l	#data_NO_top ,A1
    309  00016F  996F0000r                 M     	mov.w	#sizeof data_NO , R3
    310  000173  B083                      M     	smovf.b
-* M32C SERIES ASSEMBLER *  SOURCE LIST     Mon Jun 07 12:01:56 2021  PAGE 006
+* M32C SERIES ASSEMBLER *  SOURCE LIST     Wed Jun 09 17:29:00 2021  PAGE 006
 
   SEQ.  LOC.    OBJ.                    0XMSDA  .*....*....SOURCE STATEMENT....8....*....9....*....0....*....1....*....2....*....3....*....4....*....5....*....6....*....7....*....8....*....9....*....0
 
@@ -394,7 +394,7 @@
    370                                          	BCOPY	data_MON2_EI_top,data_MON2_E_top,data_MON2_E
    371  000217  B0B100000000r             M     	mov.l	#data_MON2_EI_top ,A0
    372  00021D  B0F100000000r             M     	mov.l	#data_MON2_E_top ,A1
-* M32C SERIES ASSEMBLER *  SOURCE LIST     Mon Jun 07 12:01:56 2021  PAGE 007
+* M32C SERIES ASSEMBLER *  SOURCE LIST     Wed Jun 09 17:29:00 2021  PAGE 007
 
   SEQ.  LOC.    OBJ.                    0XMSDA  .*....*....SOURCE STATEMENT....8....*....9....*....0....*....1....*....2....*....3....*....4....*....5....*....6....*....7....*....8....*....9....*....0
 
@@ -460,7 +460,7 @@
    432  0002A3  B0F100000000r             M     	mov.l	#bss_FO_top, A1
    433  0002A9  996F0000r                 M     	mov.w	#sizeof bss_FO , R3
    434  0002AD  B803                      M     	sstr.b	
-* M32C SERIES ASSEMBLER *  SOURCE LIST     Mon Jun 07 12:01:56 2021  PAGE 008
+* M32C SERIES ASSEMBLER *  SOURCE LIST     Wed Jun 09 17:29:00 2021  PAGE 008
 
   SEQ.  LOC.    OBJ.                    0XMSDA  .*....*....SOURCE STATEMENT....8....*....9....*....0....*....1....*....2....*....3....*....4....*....5....*....6....*....7....*....8....*....9....*....0
 
@@ -526,7 +526,7 @@
    494                                          ;
    495                                          ;	BCOPY	data_MON1_SOI_top,data_MON1_SO_top,data_MON1_SO
    496                                          ;	BCOPY	data_MON2_SOI_top,data_MON2_SO_top,data_MON2_SO
-* M32C SERIES ASSEMBLER *  SOURCE LIST     Mon Jun 07 12:01:56 2021  PAGE 009
+* M32C SERIES ASSEMBLER *  SOURCE LIST     Wed Jun 09 17:29:00 2021  PAGE 009
 
   SEQ.  LOC.    OBJ.                    0XMSDA  .*....*....SOURCE STATEMENT....8....*....9....*....0....*....1....*....2....*....3....*....4....*....5....*....6....*....7....*....8....*....9....*....0
 
@@ -592,7 +592,7 @@
    556                                          ;---------------------------------------------------------------------
    557                                          	.glb	dummy_int
    558  0002E1                                  dummy_int:
-* M32C SERIES ASSEMBLER *  SOURCE LIST     Mon Jun 07 12:01:56 2021  PAGE 010
+* M32C SERIES ASSEMBLER *  SOURCE LIST     Wed Jun 09 17:29:00 2021  PAGE 010
 
   SEQ.  LOC.    OBJ.                    0XMSDA  .*....*....SOURCE STATEMENT....8....*....9....*....0....*....1....*....2....*....3....*....4....*....5....*....6....*....7....*....8....*....9....*....0
 
Index: branch/BA/sp4c12/sp4c1/sp4c1/Debug/sp4c1.mot
===================================================================
--- branch/BA/sp4c12/sp4c1/sp4c1/Debug/sp4c1.mot	(revision 899)
+++ branch/BA/sp4c12/sp4c1/sp4c1/Debug/sp4c1.mot	(revision 900)
@@ -23,14 +23,22 @@
 S224FE02A0B80302B0F100000200996F0000B803B0B10000FE00BD000002996F0000B083B00F
 S224FE02C0B10000FE00B0F100000200996F0000B083D529720A00D52B000000CDE202FEBBAA
 S206FE02E0FF9E7C
-S224FE02E2EC02CF1F00F9A1DA1833FE77FE1A00BA0E39FE074100CF8D00E3F1FEBBEEBBE612
-S224FE0302FCDED6F1C203D6FBC203D6F0C203D6F2BC03D6FBB003D6F1B003D6F2B003D6F883
-S224FE03226803D6F16803D6FA6803D6F36803D6F46803D6F56803D6F66803D6F76803126759
-S224FE034203126603126503126403D6F86C03D6F06C03D6FA6C03D6FC6C03D6F56C03D6F62F
-S224FE03626C03D6F76C0314690320D6F06D03D6F26D03D6F66D03D6F56D03D6F76D03F6E530
-S224FE03826D03DFDEEC0230FED6FC6C03D6F26C030196FBFE6A03D6F06D03FCDE1B6D039A65
-S224FE03A205196E03DFDFEC048F7C31FC33FE93F6FCFEAB2239FEC99E99B20C4191BB088137
-S21FFE03C29F500091B2107FFEF960C1B2C1E3801BE3F1FEBBDAF2F2088E3EFC38
+S224FE02E2EC508F08CF1500F9A1DA0CD3DAB0A081CF210153BBF28E10FCDED6F1C203D6FB7E
+S224FE0302C203D6F0C203D6F2BC03D6FBB003D6F1B003D6F2B003D6F86803D6F16803D6FA4D
+S224FE03226803D6F36803D6F46803D6F56803D6F66803D6F7680312670312660312650312BC
+S224FE03426403D6F86C03D6F06C03D6F26C03D6FC6C03D6F56C03D6F66C03D6F76C03146919
+S224FE03620320D6F86D03D6FA6D03D6F66D03D6F56D03D6F76D03F6E56D03DFDEEC0230FEFF
+S224FE0382D6FC6C03D6F26C030196FBFE6A03D6F06D03FCDE1B6D03DAFC196E03DFDEEC043B
+S224FE03A28F7833FCE3D2FCBA6504307FFCC9DEC1B391B208C02BDA2339FCC99EC1A391B2F2
+S224FE03C208902E39CA1539FCC99EC1A391B20801888B0F3000C3E8FEBB2F39FCC99EC1A309
+S224FE03E291B208902E418B2139FCC99EC1A391B208902E46CA1339FCC99EC1A391B208018A
+S224FE0402888B0F3700C3E8FEE3F1FCBB9839FE8E1EFCEC088F7833F833FA043030FE30FCF2
+S224FE042230FDCF71FF4E98EE249AF8CF68FF462ADA3CCF61FF7FF8C9DEC1B391B208C02B0E
+S224FE0442E3F1F839F8C99EC1A391B208902E249A0F39F8C99EC1A391B208902E2ADACD39EA
+S224FE0462F8C99EC1A391B20882C9FEBBBFE3D2FABA0ECF21FFA2D3FA30FCE3F1FABBEFD35A
+S224FE0482DAFCA081CF19FF5330FA92F6FEFA93DFF8FFFF39F88E1EFCEC048F7C31FC33FEE2
+S224FE04A293F6FCFEAB2239FEC99E99B20C4191BB08819F500091B2107FFEF960C1B2C1E3AD
+S211FE04C2801BE3F1FEBBDAF2F2088E3EFC74
 S224FFFD00E102FE00E102FE00E102FE00E102FE00E102FE00E102FE00E102FE00E102FE00D7
 S224FFFD20E102FE00E102FE00E102FE00E102FE00E102FE00E102FE00E102FE00E102FE00B7
 S224FFFD40E102FE00E102FE00E102FE00E102FE00E102FE00E102FE00E102FE00E102FE0097
Index: branch/BA/sp4c12/sp4c1/sp4c1/Debug/ncrt0.r30
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: branch/BA/sp4c12/sp4c1/sp4c1/Debug/sp4c1.r30
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: branch/BA/sp4c12/sp4c1/sp4c1/SessionM32C_E8a_SYSTEM.BKS
===================================================================
--- branch/BA/sp4c12/sp4c1/sp4c1/SessionM32C_E8a_SYSTEM.BKS	(nonexistent)
+++ branch/BA/sp4c12/sp4c1/sp4c1/SessionM32C_E8a_SYSTEM.BKS	(revision 900)
@@ -0,0 +1,211 @@
+[HIMDBVersion]
+2.0
+[DATABASE_VERSION]
+"2.3" 
+[SESSION_DETAILS]
+"" 
+[INFORMATION]
+"" 
+[GENERAL_DATA]
+"FIRST_CONNECTION_TAG" "NO" 
+"RESET_CPU_AFTER_DOWNLOAD_TAG" "VARIANT_TRUE_STORE_TAG" 
+"{287A8023-99B5-49E1-A54E-4DDCA43D7959}MapCtrlECX_MAP_FIND_SYMBOL_LIST" "" 
+"{287A8023-99B5-49E1-A54E-4DDCA43D7959}MapCtrlViews" "0" 
+"{2BA6A3EE-6488-11D5-80D4-00C04F68EAD7}ECXLABEL_ADDDLG_ADDR" "" 
+"{2BA6A3EE-6488-11D5-80D4-00C04F68EAD7}LabelCtrlSymbolFileDir" "" 
+"{2BA6A3EE-6488-11D5-80D4-00C04F68EAD7}LabelCtrlSymbolFileName" "" 
+"{2BA6A3EE-6488-11D5-80D4-00C04F68EAD7}LabelCtrlViews" "0" 
+"{2BA6A3EF-6488-11D5-80D4-00C04F68EAD7}StatusCtrlViews" "0" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlBatchFileName" "" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlBreakpointFlag" "-1 " 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlBreakpointStatus" "-1 " 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlBrowseDirectory" "" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlLogFileName" "" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlSplitterPosition" "242" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlViews" "0" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}TclTkCtrlLogFileName" "" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_COMPARE_END_ADDRESS" "" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_COMPARE_START_ADDRESS" "" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_DISPLAY_DEST_ADDRESS" "" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_DISPLAY_END_ADDRESS" "" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_DISPLAY_START_ADDRESS" "" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_FILL_END_ADDRESS" "" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_FILL_START_ADDRESS" "" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_MOVE_END_ADDRESS" "" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_MOVE_START_ADDRESS" "" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_SEARCH_END_ADDRESS" "" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_SEARCH_START_ADDRESS" "" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_SET_DEST_ADDRESS" "" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_TEST_END_ADDRESS" "" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_TEST_START_ADDRESS" "" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}MemoryCtrlViews" "0" 
+"{4B022541-3E95-11D7-909C-00201898052D}ElfDwarf2Objects" "1" 
+"{4B022541-3E95-11D7-909C-00201898052D}LoadModule0OBJ_ELFDWARF2_ARRAY_EXPAND_LIMIT" "-1" 
+"{4B022541-3E95-11D7-909C-00201898052D}LoadModule0OBJ_STATUS_OF_EBD_CMD" "0" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRCtrlViews" "0" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_EVAL_DENORMAL_MODE" "0" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_EVAL_ROUND_MODE" "0" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_0" "0000000000000054" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_1" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_10" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_11" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_12" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_13" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_14" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_15" "0000000000000400" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_16" "0000000000FE038E" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_17" "0000000000FFFD00" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_18" "0000000000000A5E" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_19" "0000000000000D72" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_2" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_20" "0000000000000080" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_21" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_22" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_23" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_24" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_25" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_26" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_27" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_28" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_29" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_3" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_30" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_31" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_32" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_33" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_34" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_35" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_4" "0000000000FE0000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_5" "0000000000020000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_6" "0000000000000A60" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_7" "0000000000000400" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_8" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_9" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_COUNT" "36" 
+"{6C4D5B81-FD67-46A9-A089-EA44DCDE47FD}RAMMonitorManagerCtrlBlockInfoFileDir" "" 
+"{6C4D5B81-FD67-46A9-A089-EA44DCDE47FD}RAMMonitorManagerCtrlBlockInfoFileName" "" 
+"{7943C44E-7D44-422A-9140-4CF55C88F7D3}DifferenceCtrlViews" "0" 
+"{8A898260-6F1D-11D5-8EB6-00004CC34E9D}ECX_WAVE" "00000000,00000000,0,0" 
+"{8A898260-6F1D-11D5-8EB6-00004CC34E9D}ECX_WAVE_ADDRESS_NAME" "" 
+"{8A898260-6F1D-11D5-8EB6-00004CC34E9D}ECX_WAVE_COMB_ADDRESS" ",,,," 
+"{8A898260-6F1D-11D5-8EB6-00004CC34E9D}ECX_WAVE_COMB_BUFFER" ",,,," 
+"{8A898260-6F1D-11D5-8EB6-00004CC34E9D}ECX_WAVE_SAMPLING_RATE" "1000" 
+"{8A898260-6F1D-11D5-8EB6-00004CC34E9D}WaveformCtrlViews" "0" 
+"{95A081A1-7001-11D5-B1FD-00A0C9E23A58}RegistersCtrlViews" "0" 
+"{AC411480-6F0A-11D5-8EB6-00004CC34E9D}ECX_IMAGE_ADDRESS_NAME" "" 
+"{AC411480-6F0A-11D5-8EB6-00004CC34E9D}ECX_IMAGE_BUFFER" "00000000,00000000,0,0" 
+"{AC411480-6F0A-11D5-8EB6-00004CC34E9D}ECX_IMAGE_COLOR" "0,0,0,0" 
+"{AC411480-6F0A-11D5-8EB6-00004CC34E9D}ECX_IMAGE_COMB_ADDRESS" ",,,," 
+"{AC411480-6F0A-11D5-8EB6-00004CC34E9D}ECX_IMAGE_COMB_PALETTE" ",,,," 
+"{AC411480-6F0A-11D5-8EB6-00004CC34E9D}ECX_IMAGE_PALETTE_NAME" "" 
+"{AC411480-6F0A-11D5-8EB6-00004CC34E9D}ECX_IMAGE_REDRAW_CONTINUOUSLY" "0,2" 
+"{AC411480-6F0A-11D5-8EB6-00004CC34E9D}ECX_IMAGE_SAMPLEING_RATE" "1000" 
+"{AC411480-6F0A-11D5-8EB6-00004CC34E9D}ECX_IMAGE_VIEW" "0,0,0,0,0,0" 
+"{AC411480-6F0A-11D5-8EB6-00004CC34E9D}ImageCtrlViews" "0" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchCtrlViews" "0" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWndInitial_Radix" "0" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWndRecentFile_WatchRecord" "" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWndRecentFile_WatchSave" "" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWndUpdate_Interval" "100" 
+"{D3D4595F-12B4-4866-8F9A-78C30AC967E3}T_CONFIG_FLASH_MODE" "0" 
+"{D3D4595F-12B4-4866-8F9A-78C30AC967E3}T_CONFIG_GOOPTION" "0 5 0 0" 
+"{D3D4595F-12B4-4866-8F9A-78C30AC967E3}T_CONFIG_ROUND" "RM_NEAR" 
+"{D3D4595F-12B4-4866-8F9A-78C30AC967E3}T_CONFIG_STEPOPTION" "0" 
+"{D3D4595F-12B4-4866-8F9A-78C30AC967E3}T_EVENT_BC1" "0,0,1,0,1,0,1,0,0,0" 
+"{D3D4595F-12B4-4866-8F9A-78C30AC967E3}T_EVENT_BC2" "0,0,1,0,1,0" 
+"{D3D4595F-12B4-4866-8F9A-78C30AC967E3}T_EVENT_BC3" "0,0,1,0,1,0,1,0,0,0" 
+"{D3D4595F-12B4-4866-8F9A-78C30AC967E3}T_EVENT_BC4" "0,0,1,0,1,0,1,0,0,0" 
+"{D3D4595F-12B4-4866-8F9A-78C30AC967E3}T_SESSION_IS_SAVED" "YES" 
+"{D595F9C0-EF22-11D5-B7DB-0000E10B3DA9}EventCtrlViews" "0" 
+"{E6D16242-FB42-44CE-B289-ED9FE8563816}MR308DXCtrlViews" "0" 
+"{EEDC9300-6FBE-11D5-8613-00A024591A38}LocalsCtrlViews" "0" 
+"{EEDC9301-6FBE-11D5-8613-00A024591A38}StackTraceCtrlViews" "0" 
+"{F866DB60-6186-11D5-8BBE-0004E2013C71}IOCtrlIOFile" "" 
+"{F866DB60-6186-11D5-8BBE-0004E2013C71}IOCtrlSaveFileDir" "$(CONFIGDIR)" 
+"{F866DB60-6186-11D5-8BBE-0004E2013C71}IOCtrlSaveFileName" "" 
+"{F866DB60-6186-11D5-8BBE-0004E2013C71}IOCtrlViews" "0" 
+[LANGUAGE]
+"English" 
+[CONFIG_INFO_VD1]
+1 
+[CONFIG_INFO_VD2]
+0 
+[CONFIG_INFO_VD3]
+0 
+[CONFIG_INFO_VD4]
+0 
+[WINDOW_POSITION_STATE_DATA_VD1]
+"Help" "TOOLBAR 0" 59419 1 5 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_00000001_OUTPUT}" "WINDOW" 59422 1 0 "1.00" 180 683 371 350 200 18 0 "36756|36757|36758|36759|<<separator>>|36746|36747|<<separator>>|39531|<<separator>>|39500|39534|<<separator>>|36687" "0.0" 
+"{WK_00000002_WORKSPACE}" "WINDOW" 59420 0 0 "1.00" 180 683 371 350 200 18 0 "" "0.0" 
+"{WK_TB00000001_STANDARD}" "TOOLBAR 0" 59419 0 1 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
+"{WK_TB00000002_EDITOR}" "TOOLBAR 0" 59422 0 0 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
+"{WK_TB00000003_BOOKMARKS}" "TOOLBAR 0" 59419 1 1 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000004_TEMPLATES}" "TOOLBAR 0" 59419 1 0 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000005_SEARCH}" "TOOLBAR 0" 59419 0 0 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
+"{WK_TB00000007_DEBUG}" "TOOLBAR 0" 59419 2 0 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
+"{WK_TB00000008_DEBUGRUN}" "TOOLBAR 0" 59419 2 1 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
+"{WK_TB00000009_VERSIONCONTROL}" "TOOLBAR 0" 59419 1 3 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000011_CPU}" "TOOLBAR 0" 59419 2 2 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
+"{WK_TB00000012_MAP}" "TOOLBAR 0" 59419 1 4 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000013_SYMBOL}" "TOOLBAR 0" 59419 2 3 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
+"{WK_TB00000014_CODE}" "TOOLBAR 0" 59419 2 6 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000016_GRAPHIC}" "TOOLBAR 0" 59419 2 7 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000018_DEFAULTWINDOW}" "TOOLBAR 0" 59419 1 2 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000023_RTOS}" "TOOLBAR 0" 59419 2 8 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000026_MACRO}" "TOOLBAR 0" 59419 1 6 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000028_RTOSDEBUG}" "TOOLBAR 0" 59419 2 4 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000029_SYSTEMTOOL}" "TOOLBAR 0" 59419 2 5 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+[WINDOW_POSITION_STATE_DATA_VD2]
+[WINDOW_POSITION_STATE_DATA_VD3]
+[WINDOW_POSITION_STATE_DATA_VD4]
+[WINDOW_Z_ORDER]
+"D:\tp_sp4_Farid_BA_2021\branch\BA\sp4c12\sp4c1\sp4c1\sp4c1.c" 
+"D:\tp_sp4_Farid_BA_2021\branch\BA\sp4c12\sp4c1\sp4c1\ncrt0.a30" 
+[TARGET_NAME]
+"M32C E8a SYSTEM" "" 0 
+[STATUSBAR_STATEINFO_VD1]
+"MasterShowState" 1 
+"ApplicationShowState" 1 
+"DebuggerShowState" 1 
+[STATUSBAR_STATEINFO_VD2]
+"MasterShowState" 1 
+"ApplicationShowState" 1 
+"DebuggerShowState" 1 
+[STATUSBAR_STATEINFO_VD3]
+"MasterShowState" 1 
+"ApplicationShowState" 1 
+"DebuggerShowState" 1 
+[STATUSBAR_STATEINFO_VD4]
+"MasterShowState" 1 
+"ApplicationShowState" 1 
+"DebuggerShowState" 1 
+[STATUSBAR_DEBUGGER_PANESTATE_VD1]
+[STATUSBAR_DEBUGGER_PANESTATE_VD2]
+[STATUSBAR_DEBUGGER_PANESTATE_VD3]
+[STATUSBAR_DEBUGGER_PANESTATE_VD4]
+[DEBUGGER_OPTIONS]
+"[B|SIMIOF|1] [I|SIMIOADR|0x00000000] [S|ROM_MODE|^"^"] [S|MAP|^"^"] [S|RESOURCE|^"^"]" 
+[DOWNLOAD_MODULES]
+"$(CONFIGDIR)\$(PROJECTNAME).x30" 0 "IEEE695_RENESAS" 0 0 1 0 
+[CONNECT_ON_GO]
+"FALSE" 
+[DOWNLOAD_MODULES_AFTER_BUILD]
+"TRUE" 
+[REMOVE_BREAKPOINTS_ON_DOWNLOAD]
+"FALSE" 
+[DISABLE_MEMORY_ACCESS_PRIOR_TO_COMMAND_FILE_EXECUTION]
+"FALSE" 
+[LIMIT_DISASSEMBLY_MEMORY_ACCESS]
+"FALSE" 
+[DISABLE_MEMORY_ACCESS_DURING_EXECUTION]
+"FALSE" 
+[DEBUGGER_OPTIONS_PROPERTIES]
+"1" 
+[COMMAND_FILES]
+[DEFAULT_DEBUG_FORMAT]
+"IEEE695_RENESAS" 
+[FLASH_DETAILS]
+"" 0 0 "" 0 "" 0 0 "" 0 0 0 0 0 0 0 "" "" "" "" "" 
+[BREAKPOINTS]
+[END]
Index: branch/BA/sp4c12/sp4c1/sp4c1/sp4c1.BKP
===================================================================
--- branch/BA/sp4c12/sp4c1/sp4c1/sp4c1.BKP	(nonexistent)
+++ branch/BA/sp4c12/sp4c1/sp4c1/sp4c1.BKP	(revision 900)
@@ -0,0 +1,266 @@
+[HIMDBVersion]
+2.0
+[DATABASE_VERSION]
+"2.8" 
+[PROJECT_DETAILS]
+"sp4c1" "D:\tp_sp4_Farid_BA_2021\branch\BA\sp4c12\sp4c1\sp4c1" "D:\tp_sp4_Farid_BA_2021\branch\BA\sp4c12\sp4c1\sp4c1\sp4c1.hwp" "M16C/80,M32C" "Renesas M32C Standard" "Application" "M32C/80" "M32C/87(M32C/87B)" 
+[INFORMATION]
+"No project information available" 
+[TOOL_CHAIN]
+"Renesas M32C Standard Toolchain" "5.42.00" 
+[CONFIGURATIONS]
+"Debug" "D:\tp_sp4_Farid_BA_2021\branch\BA\sp4c12\sp4c1\sp4c1\Debug" 
+"Debug_M32C_E8a_SYSTEM" "D:\tp_sp4_Farid_BA_2021\branch\BA\sp4c12\sp4c1\sp4c1\Debug_M32C_E8a_SYSTEM" 
+"Debug_M32C_Simulator" "D:\tp_sp4_Farid_BA_2021\branch\BA\sp4c12\sp4c1\sp4c1\Debug_M32C_Simulator" 
+"Release" "D:\tp_sp4_Farid_BA_2021\branch\BA\sp4c12\sp4c1\sp4c1\Release" 
+[BUILD_PHASES]
+"Renesas M32C Assembler" 1 
+"Renesas M32C C Compiler" 1 
+"Renesas M32C Configurator" 1 
+"Renesas M32C Librarian" 1 
+"Renesas M32C Linker" 1 
+"Renesas M32C Stype Converter" 1 
+[TOOL_ENVIRONMENT]
+[EXTENSIONS]
+"Absolute file" "X30" 
+"Absolute list file" "ALS" 
+"Assembler error tag file" "ATG" 
+"Assembly include file" "INC" 
+"Assembly list file" "LST" 
+"Assembly source file" "A30" 
+"Branch Information file" "JIN" 
+"C header file" "H" 
+"C source file" "C" 
+"Configuration file" "CFG" 
+"Cross reference file" "XRF" 
+"Hex file" "HEX" 
+"ID file" "ID" 
+"Library file" "LIB" 
+"Library list file" "LLS" 
+"Linkage error tag file" "LTG" 
+"Linkage map file" "MAP" 
+"Preprocessed C source file" "I" 
+"Relocatable file" "R30" 
+"S-Record file" "MOT" 
+"Systemcall file" "MRC" 
+[FILE_GROUPS]
+"Absolute file" "BIN" "NONE" "" 
+"Absolute list file" "TEXT" "EDITOR" "" 
+"Assembler error tag file" "TEXT" "EDITOR" "" 
+"Assembly include file" "TEXT" "EDITOR" "" 
+"Assembly list file" "TEXT" "EDITOR" "" 
+"Assembly source file" "TEXT" "EDITOR" "" 
+"Branch Information file" "TEXT" "EDITOR" "" 
+"C header file" "TEXT" "EDITOR" "" 
+"C source file" "TEXT" "EDITOR" "" 
+"Configuration file" "TEXT" "EDITOR" "" 
+"Cross reference file" "TEXT" "EDITOR" "" 
+"Hex file" "TEXT" "EDITOR" "" 
+"ID file" "TEXT" "EDITOR" "" 
+"Library file" "BIN" "NONE" "" 
+"Library list file" "TEXT" "EDITOR" "" 
+"Linkage error tag file" "TEXT" "EDITOR" "" 
+"Linkage map file" "TEXT" "EDITOR" "" 
+"Preprocessed C source file" "TEXT" "EDITOR" "" 
+"Relocatable file" "BIN" "NONE" "" 
+"S-Record file" "TEXT" "EDITOR" "" 
+"Systemcall file" "TEXT" "EDITOR" "" 
+[ASSOCIATED_APPLICATIONS]
+[TOOLCHAIN_PHASE]
+"Renesas M32C Assembler" 
+"Renesas M32C C Compiler" 
+"Renesas M32C Configurator" 
+"Renesas M32C Librarian" 
+"Renesas M32C Linker" 
+"Renesas M32C Stype Converter" 
+[UTILITY_PHASE]
+[CUSTOM_PHASES]
+[CUSTOM_PHASE_INPUT_GROUP]
+[CUSTOM_PHASE_OUTPUT_SYNTAX]
+[BUILD_ORDER]
+"Renesas M32C C Compiler" 1 
+"Renesas M32C Assembler" 1 
+"Renesas M32C Linker" 1 
+"Renesas M32C Stype Converter" 1 
+"Renesas M32C Librarian" 0 
+"Renesas M32C Configurator" 0 
+[BUILD_PHASE_DETAILS]
+"Renesas M32C Assembler" "Assembly source file" 1 
+"Renesas M32C C Compiler" "C source file" 1 
+"Renesas M32C Configurator" "Configuration file" 0 
+"Renesas M32C Librarian" "Relocatable file" 0 
+"Renesas M32C Linker" "Relocatable file" 0 
+"Renesas M32C Stype Converter" "Absolute file" 0 
+[BUILD_FILE_ORDER_Assembly source file]
+"Renesas M32C Assembler" 1 
+[BUILD_FILE_ORDER_C source file]
+"Renesas M32C C Compiler" 1 
+[SCRAP]
+"Project Generator Setup File" "" 
+[MAPPINGS]
+"Absolute file" "Renesas M32C Stype Converter" "Renesas M32C Linker" 
+"Assembly source file" "Renesas M32C Assembler" "Renesas M32C C Compiler" 
+"Relocatable file" "Renesas M32C Librarian" "Renesas M32C Assembler" 
+"Relocatable file" "Renesas M32C Librarian" "Renesas M32C C Compiler" 
+"Relocatable file" "Renesas M32C Linker" "Renesas M32C Assembler" 
+"Relocatable file" "Renesas M32C Linker" "Renesas M32C C Compiler" 
+[PROJECT_FILES]
+"D:\tp_sp4_Farid_BA_2021\branch\BA\sp4c12\sp4c1\sp4c1\ncrt0.a30" "User" "Assembly source file" 2 
+"D:\tp_sp4_Farid_BA_2021\branch\BA\sp4c12\sp4c1\sp4c1\sp4c1.c" "User" "C source file" 2 
+[FOLDER]
+"Assembly source file" "Assembly source file" 
+"C source file" "C source file" 
+[GENERAL_DATA_PROJECT]
+"USE_CUSTOM_LINKAGE_ORDER" "1" 
+[ON_DEMAND_COMPONENTS_LOADED]
+[SYNC_SESSION_NAMES]
+[SESSIONS]
+"DefaultSession" "D:\tp_sp4_Farid_BA_2021\branch\BA\sp4c12\sp4c1\sp4c1\DefaultSession.hsf" 0 
+"SessionM32C_E8a_SYSTEM" "D:\tp_sp4_Farid_BA_2021\branch\BA\sp4c12\sp4c1\sp4c1\SessionM32C_E8a_SYSTEM.hsf" 0 
+"SessionM32C_Simulator" "D:\tp_sp4_Farid_BA_2021\branch\BA\sp4c12\sp4c1\sp4c1\SessionM32C_Simulator.hsf" 0 
+[GENERAL_DATA_SESSION_DefaultSession]
+[GENERAL_DATA_SESSION_SessionM32C_E8a_SYSTEM]
+[GENERAL_DATA_SESSION_SessionM32C_Simulator]
+[OPTIONS_Debug_Renesas M32C Assembler]
+"Assembly source file" "0fd1346209b57d10" 2 
+"D:\tp_sp4_Farid_BA_2021\branch\BA\sp4c12\sp4c1\sp4c1\ncrt0.a30" "0fd1346209b57d10" 2 
+[OPTIONS_Debug_Renesas M32C C Compiler]
+"C source file" "0fd1346209b57d10" 1 
+"D:\tp_sp4_Farid_BA_2021\branch\BA\sp4c12\sp4c1\sp4c1\sp4c1.c" "0fd1346209b57d10" 1 
+[OPTIONS_Debug_Renesas M32C Configurator]
+"Single Shot" "0fd1346209b57d10" 6 
+[OPTIONS_Debug_Renesas M32C Librarian]
+"Single Shot" "0fd1346209b57d10" 5 
+[OPTIONS_Debug_Renesas M32C Linker]
+"Single Shot" "0fd1346209b57d10" 3 
+[OPTIONS_Debug_Renesas M32C Stype Converter]
+"Single Shot" "0fd1346209b57d10" 4 
+[OPTIONS_Debug]
+"" 0 
+"[V|VERSION|1] [B|COMMAND|1] [S|SPEC|UITRON3] " 6 
+"[V|VERSION|1] [B|DATALENGTH|1] [S|OUTPUT|^"$(CONFIGDIR)\$(PROJECTNAME).mot^"] " 4 
+"[V|VERSION|1] [B|STARTUPLINK|1] [B|DEBUG|1] [B|MAP-S|1] [S|OUTPUT|^"$(CONFIGDIR)\$(PROJECTNAME).x30^"] [S|INPUTLIBRARY|^"L=nc382lib^"] [S|CPU|M32C80] " 3 
+"[V|VERSION|1] [S|LIST|LM] [B|INSPECTOR|1] [S|OUTPUTPATH|^"$(CONFIGDIR)\$(FILELEAF).r30^"] [S|CPU|M32C80] [B|HEAP|1] [S|DEFINE|__USTACKSIZE__=0300H] [S|DEFINE|__ISTACKSIZE__=0300H]" 2 
+"[V|VERSION|1] [S|MODE|CREATE|] [S|OUTPUT|^"$(CONFIGDIR)\$(PROJECTNAME).lib^"] " 5 
+"[V|VERSION|1] [S|OUTPUT|OBJECTCODE] [S|OUTPUTPATH|^"$(CONFIGDIR)\$(FILELEAF).r30^"] [B|INSPECTOR|1] [S|CPU|M32C80] " 1 
+[EXCLUDED_FILES_Debug]
+[LINKAGE_ORDER_Debug]
+"D:\tp_sp4_Farid_BA_2021\branch\BA\sp4c12\sp4c1\sp4c1\Debug\ncrt0.r30" 
+[GENERAL_DATA_CONFIGURATION_Debug]
+[OPTIONS_Debug_M32C_E8a_SYSTEM_Renesas M32C Assembler]
+"Assembly source file" "0fd1346209b57d10" 2 
+"D:\tp_sp4_Farid_BA_2021\branch\BA\sp4c12\sp4c1\sp4c1\ncrt0.a30" "0fd1346209b57d10" 2 
+[OPTIONS_Debug_M32C_E8a_SYSTEM_Renesas M32C C Compiler]
+"C source file" "0fd1346209b57d10" 1 
+"D:\tp_sp4_Farid_BA_2021\branch\BA\sp4c12\sp4c1\sp4c1\sp4c1.c" "0fd1346209b57d10" 1 
+[OPTIONS_Debug_M32C_E8a_SYSTEM_Renesas M32C Configurator]
+"Single Shot" "0fd1346209b57d10" 6 
+[OPTIONS_Debug_M32C_E8a_SYSTEM_Renesas M32C Librarian]
+"Single Shot" "0fd1346209b57d10" 5 
+[OPTIONS_Debug_M32C_E8a_SYSTEM_Renesas M32C Linker]
+"Single Shot" "0fd1346209b57d10" 3 
+[OPTIONS_Debug_M32C_E8a_SYSTEM_Renesas M32C Stype Converter]
+"Single Shot" "0fd1346209b57d10" 4 
+[OPTIONS_Debug_M32C_E8a_SYSTEM]
+"" 0 
+"[V|VERSION|1] [B|COMMAND|1] [S|SPEC|UITRON3] " 6 
+"[V|VERSION|1] [B|DATALENGTH|1] [S|OUTPUT|^"$(CONFIGDIR)\$(PROJECTNAME).mot^"] " 4 
+"[V|VERSION|1] [B|STARTUPLINK|1] [B|DEBUG|1] [B|MAP-S|1] [S|OUTPUT|^"$(CONFIGDIR)\$(PROJECTNAME).x30^"] [S|INPUTLIBRARY|^"L=nc382lib^"] [S|CPU|M32C80] " 3 
+"[V|VERSION|1] [S|LIST|L|M] [B|INSPECTOR|1] [S|OUTPUTPATH|^"$(CONFIGDIR)\$(FILELEAF).r30^"] [S|CPU|M32C80] [B|HEAP|1] [S|DEFINE|__USTACKSIZE__=0300H] [S|DEFINE|__ISTACKSIZE__=0300H]" 2 
+"[V|VERSION|1] [S|MODE|CREATE|] [S|OUTPUT|^"$(CONFIGDIR)\$(PROJECTNAME).lib^"] " 5 
+"[V|VERSION|1] [S|OUTPUT|OBJECTCODE] [S|OUTPUTPATH|^"$(CONFIGDIR)\$(FILELEAF).r30^"] [B|INSPECTOR|1] [S|CPU|M32C80] " 1 
+[EXCLUDED_FILES_Debug_M32C_E8a_SYSTEM]
+[LINKAGE_ORDER_Debug_M32C_E8a_SYSTEM]
+"D:\tp_sp4_Farid_BA_2021\branch\BA\sp4c12\sp4c1\sp4c1\Debug_M32C_E8a_SYSTEM\ncrt0.r30" 
+[GENERAL_DATA_CONFIGURATION_Debug_M32C_E8a_SYSTEM]
+[OPTIONS_Debug_M32C_Simulator_Renesas M32C Assembler]
+"Assembly source file" "0fd1346209b57d10" 2 
+"D:\tp_sp4_Farid_BA_2021\branch\BA\sp4c12\sp4c1\sp4c1\ncrt0.a30" "0fd1346209b57d10" 2 
+[OPTIONS_Debug_M32C_Simulator_Renesas M32C C Compiler]
+"C source file" "0fd1346209b57d10" 1 
+"D:\tp_sp4_Farid_BA_2021\branch\BA\sp4c12\sp4c1\sp4c1\sp4c1.c" "0fd1346209b57d10" 1 
+[OPTIONS_Debug_M32C_Simulator_Renesas M32C Configurator]
+"Single Shot" "0fd1346209b57d10" 6 
+[OPTIONS_Debug_M32C_Simulator_Renesas M32C Librarian]
+"Single Shot" "0fd1346209b57d10" 5 
+[OPTIONS_Debug_M32C_Simulator_Renesas M32C Linker]
+"Single Shot" "0fd1346209b57d10" 3 
+[OPTIONS_Debug_M32C_Simulator_Renesas M32C Stype Converter]
+"Single Shot" "0fd1346209b57d10" 4 
+[OPTIONS_Debug_M32C_Simulator]
+"" 0 
+"[V|VERSION|1] [B|COMMAND|1] [S|SPEC|UITRON3] " 6 
+"[V|VERSION|1] [B|DATALENGTH|1] [S|OUTPUT|^"$(CONFIGDIR)\$(PROJECTNAME).mot^"] " 4 
+"[V|VERSION|1] [B|STARTUPLINK|1] [B|DEBUG|1] [B|MAP-S|1] [S|OUTPUT|^"$(CONFIGDIR)\$(PROJECTNAME).x30^"] [S|INPUTLIBRARY|^"L=nc382lib^"] [S|CPU|M32C80] " 3 
+"[V|VERSION|1] [S|LIST|L|M] [B|INSPECTOR|1] [S|OUTPUTPATH|^"$(CONFIGDIR)\$(FILELEAF).r30^"] [S|CPU|M32C80] [B|HEAP|1] [S|DEFINE|__USTACKSIZE__=0300H] [S|DEFINE|__ISTACKSIZE__=0300H]" 2 
+"[V|VERSION|1] [S|MODE|CREATE|] [S|OUTPUT|^"$(CONFIGDIR)\$(PROJECTNAME).lib^"] " 5 
+"[V|VERSION|1] [S|OUTPUT|OBJECTCODE] [S|OUTPUTPATH|^"$(CONFIGDIR)\$(FILELEAF).r30^"] [B|INSPECTOR|1] [S|CPU|M32C80] " 1 
+[EXCLUDED_FILES_Debug_M32C_Simulator]
+[LINKAGE_ORDER_Debug_M32C_Simulator]
+"D:\tp_sp4_Farid_BA_2021\branch\BA\sp4c12\sp4c1\sp4c1\Debug_M32C_Simulator\ncrt0.r30" 
+[GENERAL_DATA_CONFIGURATION_Debug_M32C_Simulator]
+[OPTIONS_Release_Renesas M32C Assembler]
+"Assembly source file" "0fd1346209b57d10" 2 
+"D:\tp_sp4_Farid_BA_2021\branch\BA\sp4c12\sp4c1\sp4c1\ncrt0.a30" "0fd1346209b57d10" 2 
+[OPTIONS_Release_Renesas M32C C Compiler]
+"C source file" "0fd1346209b57d10" 1 
+"D:\tp_sp4_Farid_BA_2021\branch\BA\sp4c12\sp4c1\sp4c1\sp4c1.c" "0fd1346209b57d10" 1 
+[OPTIONS_Release_Renesas M32C Configurator]
+"Single Shot" "0fd1346209b57d10" 6 
+[OPTIONS_Release_Renesas M32C Librarian]
+"Single Shot" "0fd1346209b57d10" 5 
+[OPTIONS_Release_Renesas M32C Linker]
+"Single Shot" "0fd1346209b57d10" 3 
+[OPTIONS_Release_Renesas M32C Stype Converter]
+"Single Shot" "0fd1346209b57d10" 4 
+[OPTIONS_Release]
+"" 0 
+"[V|VERSION|1] [B|COMMAND|1] [S|SPEC|UITRON3] " 6 
+"[V|VERSION|1] [B|DATALENGTH|1] [S|OUTPUT|^"$(CONFIGDIR)\$(PROJECTNAME).mot^"] " 4 
+"[V|VERSION|1] [B|STARTUPLINK|1] [B|DEBUG|1] [B|MAP-S|1] [S|OUTPUT|^"$(CONFIGDIR)\$(PROJECTNAME).x30^"] [S|INPUTLIBRARY|^"L=nc382lib^"] [S|CPU|M32C80] " 3 
+"[V|VERSION|1] [S|LIST|L|M] [B|INSPECTOR|1] [S|OUTPUTPATH|^"$(CONFIGDIR)\$(FILELEAF).r30^"] [S|CPU|M32C80] [B|HEAP|1] [S|DEFINE|__USTACKSIZE__=0300H] [S|DEFINE|__ISTACKSIZE__=0300H]" 2 
+"[V|VERSION|1] [S|MODE|CREATE|] [S|OUTPUT|^"$(CONFIGDIR)\$(PROJECTNAME).lib^"] " 5 
+"[V|VERSION|1] [S|OUTPUT|OBJECTCODE] [S|OUTPUTPATH|^"$(CONFIGDIR)\$(FILELEAF).r30^"] [B|INSPECTOR|1] [S|CPU|M32C80] " 1 
+[EXCLUDED_FILES_Release]
+[LINKAGE_ORDER_Release]
+"D:\tp_sp4_Farid_BA_2021\branch\BA\sp4c12\sp4c1\sp4c1\Release\ncrt0.r30" 
+[GENERAL_DATA_CONFIGURATION_Release]
+[GENERAL_DATA_CONFIGURATION_SESSION_Debug_DefaultSession]
+[SESSION_DATA_CONFIGURATION_SESSION_Debug_DefaultSession]
+"MEMORY_MAPPING_OPTIONS" "" 
+[GENERAL_DATA_CONFIGURATION_SESSION_Debug_SessionM32C_E8a_SYSTEM]
+[SESSION_DATA_CONFIGURATION_SESSION_Debug_SessionM32C_E8a_SYSTEM]
+"MEMORY_MAPPING_OPTIONS" "Unknown Options" 
+[GENERAL_DATA_CONFIGURATION_SESSION_Debug_SessionM32C_Simulator]
+[SESSION_DATA_CONFIGURATION_SESSION_Debug_SessionM32C_Simulator]
+"MEMORY_MAPPING_OPTIONS" "Unknown Options" 
+[GENERAL_DATA_CONFIGURATION_SESSION_Debug_M32C_E8a_SYSTEM_DefaultSession]
+[SESSION_DATA_CONFIGURATION_SESSION_Debug_M32C_E8a_SYSTEM_DefaultSession]
+"MEMORY_MAPPING_OPTIONS" "" 
+[GENERAL_DATA_CONFIGURATION_SESSION_Debug_M32C_E8a_SYSTEM_SessionM32C_E8a_SYSTEM]
+[SESSION_DATA_CONFIGURATION_SESSION_Debug_M32C_E8a_SYSTEM_SessionM32C_E8a_SYSTEM]
+"MEMORY_MAPPING_OPTIONS" "Unknown Options" 
+[GENERAL_DATA_CONFIGURATION_SESSION_Debug_M32C_E8a_SYSTEM_SessionM32C_Simulator]
+[SESSION_DATA_CONFIGURATION_SESSION_Debug_M32C_E8a_SYSTEM_SessionM32C_Simulator]
+"MEMORY_MAPPING_OPTIONS" "Unknown Options" 
+[GENERAL_DATA_CONFIGURATION_SESSION_Debug_M32C_Simulator_DefaultSession]
+[SESSION_DATA_CONFIGURATION_SESSION_Debug_M32C_Simulator_DefaultSession]
+"MEMORY_MAPPING_OPTIONS" "" 
+[GENERAL_DATA_CONFIGURATION_SESSION_Debug_M32C_Simulator_SessionM32C_E8a_SYSTEM]
+[SESSION_DATA_CONFIGURATION_SESSION_Debug_M32C_Simulator_SessionM32C_E8a_SYSTEM]
+"MEMORY_MAPPING_OPTIONS" "Unknown Options" 
+[GENERAL_DATA_CONFIGURATION_SESSION_Debug_M32C_Simulator_SessionM32C_Simulator]
+[SESSION_DATA_CONFIGURATION_SESSION_Debug_M32C_Simulator_SessionM32C_Simulator]
+"MEMORY_MAPPING_OPTIONS" "Unknown Options" 
+[GENERAL_DATA_CONFIGURATION_SESSION_Release_DefaultSession]
+[SESSION_DATA_CONFIGURATION_SESSION_Release_DefaultSession]
+"MEMORY_MAPPING_OPTIONS" "" 
+[GENERAL_DATA_CONFIGURATION_SESSION_Release_SessionM32C_E8a_SYSTEM]
+[SESSION_DATA_CONFIGURATION_SESSION_Release_SessionM32C_E8a_SYSTEM]
+"MEMORY_MAPPING_OPTIONS" "Unknown Options" 
+[GENERAL_DATA_CONFIGURATION_SESSION_Release_SessionM32C_Simulator]
+[SESSION_DATA_CONFIGURATION_SESSION_Release_SessionM32C_Simulator]
+"MEMORY_MAPPING_OPTIONS" "Unknown Options" 
+[EXT_DEBUGGER_INFO]
+0 "" "" "" "" 
+[END]
Index: branch/BA/sp4c12/sp4c1/sp4c1/DefaultSession.BKS
===================================================================
--- branch/BA/sp4c12/sp4c1/sp4c1/DefaultSession.BKS	(nonexistent)
+++ branch/BA/sp4c12/sp4c1/sp4c1/DefaultSession.BKS	(revision 900)
@@ -0,0 +1,99 @@
+[HIMDBVersion]
+2.0
+[DATABASE_VERSION]
+"2.3" 
+[SESSION_DETAILS]
+"" 
+[INFORMATION]
+"" 
+[GENERAL_DATA]
+"{287A8023-99B5-49E1-A54E-4DDCA43D7959}MapCtrlECX_MAP_FIND_SYMBOL_LIST" "" 
+"{287A8023-99B5-49E1-A54E-4DDCA43D7959}MapCtrlViews" "0" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlBatchFileName" "" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlBreakpointFlag" "-1 " 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlBreakpointStatus" "-1 " 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlBrowseDirectory" "" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlLogFileName" "" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlSplitterPosition" "242" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlViews" "0" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}TclTkCtrlLogFileName" "" 
+"{6C4D5B81-FD67-46A9-A089-EA44DCDE47FD}RAMMonitorManagerCtrlBlockInfoFileDir" "" 
+"{6C4D5B81-FD67-46A9-A089-EA44DCDE47FD}RAMMonitorManagerCtrlBlockInfoFileName" "" 
+"{7943C44E-7D44-422A-9140-4CF55C88F7D3}DifferenceCtrlViews" "0" 
+[LANGUAGE]
+"English" 
+[CONFIG_INFO_VD1]
+1 
+[CONFIG_INFO_VD2]
+0 
+[CONFIG_INFO_VD3]
+0 
+[CONFIG_INFO_VD4]
+0 
+[WINDOW_POSITION_STATE_DATA_VD1]
+"Help" "TOOLBAR 0" 59419 1 5 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_00000001_OUTPUT}" "WINDOW" 59422 0 0 "1.00" 180 683 371 350 200 18 0 "36756|36757|36758|36759|<<separator>>|36746|36747|<<separator>>|39531|<<separator>>|39500|39534|<<separator>>|36687" "0.0" 
+"{WK_00000002_WORKSPACE}" "WINDOW" 59420 0 0 "1.00" 180 683 371 350 200 18 0 "" "0.0" 
+"{WK_TB00000001_STANDARD}" "TOOLBAR 0" 59419 0 2 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
+"{WK_TB00000002_EDITOR}" "TOOLBAR 0" 59419 0 0 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
+"{WK_TB00000003_BOOKMARKS}" "TOOLBAR 0" 59419 1 1 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000004_TEMPLATES}" "TOOLBAR 0" 59419 1 0 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000005_SEARCH}" "TOOLBAR 0" 59419 0 1 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
+"{WK_TB00000007_DEBUG}" "TOOLBAR 0" 59419 2 0 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000008_DEBUGRUN}" "TOOLBAR 0" 59419 2 1 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000009_VERSIONCONTROL}" "TOOLBAR 0" 59419 1 3 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000012_MAP}" "TOOLBAR 0" 59419 1 4 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000018_DEFAULTWINDOW}" "TOOLBAR 0" 59419 1 2 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000026_MACRO}" "TOOLBAR 0" 59419 1 6 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000028_RTOSDEBUG}" "TOOLBAR 0" 59419 2 2 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000029_SYSTEMTOOL}" "TOOLBAR 0" 59419 2 3 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+[WINDOW_POSITION_STATE_DATA_VD2]
+[WINDOW_POSITION_STATE_DATA_VD3]
+[WINDOW_POSITION_STATE_DATA_VD4]
+[WINDOW_Z_ORDER]
+[TARGET_NAME]
+"" "" 1853190002 
+[STATUSBAR_STATEINFO_VD1]
+"MasterShowState" 1 
+"ApplicationShowState" 1 
+"DebuggerShowState" 1 
+[STATUSBAR_STATEINFO_VD2]
+"MasterShowState" 1 
+"ApplicationShowState" 1 
+"DebuggerShowState" 1 
+[STATUSBAR_STATEINFO_VD3]
+"MasterShowState" 1 
+"ApplicationShowState" 1 
+"DebuggerShowState" 1 
+[STATUSBAR_STATEINFO_VD4]
+"MasterShowState" 1 
+"ApplicationShowState" 1 
+"DebuggerShowState" 1 
+[STATUSBAR_DEBUGGER_PANESTATE_VD1]
+[STATUSBAR_DEBUGGER_PANESTATE_VD2]
+[STATUSBAR_DEBUGGER_PANESTATE_VD3]
+[STATUSBAR_DEBUGGER_PANESTATE_VD4]
+[DEBUGGER_OPTIONS]
+"" 
+[DOWNLOAD_MODULES]
+[CONNECT_ON_GO]
+"FALSE" 
+[DOWNLOAD_MODULES_AFTER_BUILD]
+"TRUE" 
+[REMOVE_BREAKPOINTS_ON_DOWNLOAD]
+"FALSE" 
+[DISABLE_MEMORY_ACCESS_PRIOR_TO_COMMAND_FILE_EXECUTION]
+"FALSE" 
+[LIMIT_DISASSEMBLY_MEMORY_ACCESS]
+"FALSE" 
+[DISABLE_MEMORY_ACCESS_DURING_EXECUTION]
+"FALSE" 
+[DEBUGGER_OPTIONS_PROPERTIES]
+"1" 
+[COMMAND_FILES]
+[DEFAULT_DEBUG_FORMAT]
+"" 
+[FLASH_DETAILS]
+"" 0 0 "" 0 "" 0 0 "" 0 0 0 0 0 0 0 "" "" "" "" "" 
+[BREAKPOINTS]
+[END]
Index: branch/BA/sp4c12/sp4c1/sp4c1/sp4c1.c
===================================================================
--- branch/BA/sp4c12/sp4c1/sp4c1/sp4c1.c	(revision 899)
+++ branch/BA/sp4c12/sp4c1/sp4c1/sp4c1.c	(revision 900)
@@ -24,8 +24,9 @@
 char tram[80];
 char tab_tram[10][80];
 void alphabet(void);
-
-
+int rectrame(char *buffer);
+int hex2int(char *c);
+	
 /*void main(void)
 {
 	int i,n,lig;
@@ -46,11 +47,14 @@
 
 void main(void){
 int i;
+char trame[80];
 uart0_init();
+
 while(1){
-	for(i=0;i<26;i++){
+	/*for(i=0;i<26;i++){
 		uart0_tx('A'+i);
-	}
+	}*/
+	rectrame(trame);
 }
 }
 
@@ -88,7 +92,7 @@
 	
 	clk0_u0c0=1;/*configuration pour f8 */
 	clk0_u0c0=0;
-	crs_u0c0=1;//activation du clear to send (CTS)
+	crs_u0c0=0;//activation du clear to send (CTS)
 	crd_u0c0=1;//
 	nch_u0c0=0;//Selection Port de sortie : CMOS
 	ckpol_u0c0=0;//
@@ -98,8 +102,8 @@
 	u0brg=0x20;//Initialisation du registre U0BRG a 32 bits
 	
 	//registre u0c1
-	te_u0c1=0;//desactvation de la transmition d'operation
-	re_u0c1=0;//desactvation de la reception d'operation
+	te_u0c1=1;//desactvation de la transmition d'operation
+	re_u0c1=1;//desactvation de la reception d'operation
 	u0lch_u0c1=0;
 	u0rrm_u0c1=0;
 	sclkstpb_u0c1=0;
@@ -114,15 +118,12 @@
 	u0tb=c;
 	te_u0c1=0;
 	
-	
-	/*while(ti_u0c1 !=1);
-	u0tb=c;*/
 }
 
 
 char uart0_rx(void){
-	while(ri_u0c1 !=1)
-	return(u0rb);
+	while(!ri_u0c1);
+	return u0rb;
 	
 }
 
@@ -136,30 +137,56 @@
 	}
 }	
 */
-/*char renvoie_caractere_suivant(void){
-	char carac=uart0_rx();
-	return carac+=1;
-}
-*/	
 	
-		
 	
+int hex2int(char *c){
+	int i;
+	int d;
 	
-/*int rectrame(char *buffer){
-	int i=1;
+	for (i=0;i<2;i++){
+		if((c[i]='0')&&(c[i]<'9')){
+			d+=(c[i]-'0');
+		}
+		else if((c[i]>'A')&&(c[i]<'F')){
+			d+=(c[i]-55);
+		}
+	}
+	return d;	
+}	
 	
-	do
-	{
-	(*buffer+i)=uart0_tx();
-	i++;
-	}while((*buffer+i)!='*');
+int rectrame(char *buffer){
+    int i=0,j=0;
+	char checksum='0';
+	char verifchecksum;
+	char fin_trame[2] = {'0','0'};
+        
+    while (uart0_rx()!='$');   //attente d'une trame 
 	
-	return (i+1);
+	//Reception trame dans buffer et calcul du checksum avec un OU exclusif sur chaque caractère de la trame 
+    while (uart0_rx()!='*'){
+                buffer[i]=uart0_rx();
+                i++;
+		if ((buffer[i]!='$')||(buffer[i]!='*')){
+			checksum^= buffer[i];		//ou exclusif sur chaque caractère de la trame
+		}
+        }
+	//Récéption des 2 caractères après le * de la trame dans la chaîne fin_trame (utile pour le checksum)
+	while (j<2){
+		fin_trame[j]= uart0_rx();
+		j++;
+	}
+	
+	/*Vérification entre le checksum calculé tout au long de la trame et celui calculé par la converion
+	du champ en hexa après '*' */
+	
+	verifchecksum = hex2int(fin_trame);
+	if (verifchecksum!=checksum){
+		i=-1;
+	}
+	return i;
 }
-*/
 
 void tableau_trame(int colonne, int *ligne, char trame[80], char tab_trame[10][80]){
-	
 	int i;
 	
 	for(i=0;i<=colonne;i++){
Index: branch/BA/sp4c12/sp4c1/sp4c1.BKW
===================================================================
--- branch/BA/sp4c12/sp4c1/sp4c1.BKW	(nonexistent)
+++ branch/BA/sp4c12/sp4c1/sp4c1.BKW	(revision 900)
@@ -0,0 +1,35 @@
+[HIMDBVersion]
+2.0
+[DATABASE_VERSION]
+"11.0" 
+[WORKSPACE_DETAILS]
+"sp4c1" "D:\tp_sp4_Farid_BA_2021\branch\BA\sp4c12\sp4c1" "D:\tp_sp4_Farid_BA_2021\branch\BA\sp4c12\sp4c1\sp4c1.hws" "M16C/80,M32C" "Renesas M32C Standard" 
+[SHARED_WORKSPACE_CONTROL_STATUS]
+"" "" "" 
+"" "" "" 
+[PROJECTS]
+"sp4c1" "D:\tp_sp4_Farid_BA_2021\branch\BA\sp4c12\sp4c1\sp4c1" "D:\tp_sp4_Farid_BA_2021\branch\BA\sp4c12\sp4c1\sp4c1\sp4c1.hwp" 0 
+[INFORMATION]
+"No workspace information available" 
+[SCRAP]
+[PROJECT_DEPENDENCY]
+[WORKSPACE_PROPERTIES]
+[HELP_FILES]
+[GENERAL_DATA_PROJECT]
+[USERMENUTOOLS]
+[CUSTOMPLACEHOLDERS]
+[MAKEFILE_BUILD_INFO]
+"$(WORKSPDIR)\make\$(PROJECTNAME)_$(CONFIGNAME).mak" "" "$(WORKSPDIR)\make" 0 0 0 
+[VD_CONFIGURATION_OPTIONS]
+[VD_CONFIGURATIONS]
+[OPTIONS_DEBUG_TAB]
+0 0 0 0 0 
+[VCS]
+"" "" "" 0 
+[VCS_PROJECT]
+[MAKEFILE_ENV_STRINGS]
+[MAKEFILE_ENV_FLAGS]
+1 0 0 
+[MAKEFILE_CLEAN_INFO]
+"" 
+[END]
